if exists (select * from sysobjects where id = object_id(N'[dbo].[PurgeJobHistory]') 
			and OBJECTPROPERTY(id, N'IsProcedure') = 1)
begin
	drop procedure PurgeJobHistory
end
go
create procedure PurgeJobHistory(@BeforeDate int = null)
as
/* This procedure will purge all job history rows before the input
   BeforeDate.

   BeforeDate is an int containing a date in the form YYYYMMDD. 

   A similar approach could be used to purge other history tables

   This procedure should be created in msdb
*/
begin
	set nocount on
	If @BeforeDate is null
	begin
		raiserror 99999 'You must provide a before date'
	end
	delete sysjobhistory
	where  run_date < @BeforeDate
	select 'Purged ' + rtrim(convert(char(12), @@rowcount)) + ' job history rows'
end